<qtb-hero-image title="Who drives your car?"></qtb-hero-image>
<mat-vertical-stepper [linear]="true" #stepper class="qtb__container" (selectionChange)="selectionChange($event)">
  <!-- <mat-step>
    <qtb-previous-claims [driver]="formModel.mainDriver"></qtb-previous-claims>
    <qtb-stepper-nav nextText="I'm done adding claims"></qtb-stepper-nav>
  </mat-step>   -->

  <!-- INCREMENTOR!! Uncomment to work on it. -->
  <!-- <mat-step>
      <section>
          <fieldset>
              <qtb-question-heading heading="How old were you when you got your drivers license?">
                </qtb-question-heading>

                
                <qtb-incrementor 
                  label="Age"
                  default="17"
                  >
                  <ng-template #inputs>
                    <input class="form-control"
                        [(ngModel)]="mainDriver.AgeLicenseObtained"
                        type="text"
                        name="ageObtained"
                        id="AgeLicenseObtained"
                        disabled
                        />
                 </ng-template>
                </qtb-incrementor>


          </fieldset>
        </section>
        <qtb-stepper-nav [showNext]="true"></qtb-stepper-nav>
  </mat-step> -->

  <mat-step #stepOneone>
      <section>
          <fieldset>
            <qtb-question-heading heading="How often will you be driving the car, {{formModel.mainDriver.Firstname}}?">
            </qtb-question-heading>

            <div class="qtb__emma-question-layout qtb__emma-medium">
              <qtb-emma 
                text="A frequent driver drives the car 3 or more days per week. The main driver drives the car the most.">
              </qtb-emma>
              <qtb-radiobutton
                  [options]="options.driverTypes"
                  class="qtb__form-element"
                >
                <ng-template #inputs let-option>
                  <input
                      [(ngModel)]="formModel.mainDriver.usage"
                      type="radio"
                      name="usage"
                      value="{{option.value}}"
                      (click)="nextStepWithDelay()"
                      id="usage-{{ option.value }}" />
                </ng-template>
              </qtb-radiobutton>
              <qtb-stepper-nav [showNext]="false"></qtb-stepper-nav>
              <div class="qtb__spacer"></div>
            </div>
          </fieldset>
        </section>
  </mat-step>
  <mat-step [completed]="personalDetailsForm.valid">
    <form #personalDetailsForm="ngForm">
        <qtb-personal-details [person]="formModel.drivers[0]"></qtb-personal-details>
        <qtb-stepper-nav></qtb-stepper-nav>
      </form>
  </mat-step>
  <mat-step>
      <!-- raa member? -->
      <fieldset>
          <qtb-question-heading 
            heading="Are you an RAA member?"
            moreInfoText="How do I know if I'm a member?">
          </qtb-question-heading>

      <div class="qtb__emma-question-layout">
        <qtb-emma 
          text="If you purchase insurance with us you will become an RAA member and get access to our exclusive offers and discounts.">
        </qtb-emma>
        <qtb-radiobutton
            [options]="options.yesOrNo" class="qtb__form-element" size="s">
            <ng-template #inputs let-option>
              <input
                  [(ngModel)]="formModel.mainDriver.IsClient"
                  type="radio"
                  name="isClient"
                  value="{{option.value}}"
                  (click)="nextStepWithDelay()"
                  id="isClient-{{ option.value }}" />
            </ng-template>
        </qtb-radiobutton>
        <qtb-stepper-nav [showNext]="false"></qtb-stepper-nav>
        <div class="qtb__spacer"></div>
      </div>
      </fieldset>
    </mat-step>
    <mat-step>
        <qtb-previous-claims [driver]="formModel.mainDriver"></qtb-previous-claims>
        <qtb-stepper-nav nextText="I'm done adding claims"></qtb-stepper-nav>
      </mat-step>

    <mat-step #addDriversStep>
        <qtb-add-drivers [stepper]="stepper" [drivers]="formModel.drivers"></qtb-add-drivers>
    </mat-step>

    <!-- OTHER DRIVERS -->
    
      <mat-step #newPersonStep [completed]="newPersonForm.valid">
        <ng-template matStepLabel>newDriver</ng-template>
        <form #newPersonForm="ngForm">
        <section>
            <qtb-personal-details
                label="Can you please provide their details so I can add them to the policy?"
                [person]="formModel.newDriver"></qtb-personal-details>
          </section>
          <qtb-stepper-nav [form]="newPersonForm"></qtb-stepper-nav>
        </form>
      </mat-step>

  <mat-step>
    <fieldset>
        <qtb-question-heading heading="Is {{formModel.newDriver.Firstname}} an RAA member?">
          </qtb-question-heading>
    <qtb-radiobutton [options]="options.yesOrNo">
        <ng-template #inputs let-option>
            <input
                [(ngModel)]="formModel.newDriver.IsClient"
                type="radio"
                name="isClientAdditionalDriver"
                value="{{option.value}}"
                (click)="nextStepWithDelay()"
                id="isClient-{{ option.value }}" />
        </ng-template>
    </qtb-radiobutton>
    </fieldset>
    <qtb-stepper-nav [showNext]="false"></qtb-stepper-nav>
  </mat-step>

  <mat-step>
      <qtb-previous-claims [driver]="formModel.newDriver"></qtb-previous-claims>
      <qtb-stepper-nav nextText="I'm done adding claims"></qtb-stepper-nav>
    </mat-step>

  <mat-step>
    <section>
        <fieldset>
            <qtb-question-heading heading="How often will {{formModel.newDriver.Firstname}} be driving the car?">
              </qtb-question-heading>

          <qtb-radiobutton [options]="options.driverTypes">
                <ng-template #inputs let-option>
                  <input
                      [(ngModel)]="formModel.newDriver.usage"
                      type="radio"
                      name="usageAdditionalDriver"
                      value="{{option.value}}"
                      id="usage-{{ option.value }}" />
                </ng-template>
          </qtb-radiobutton>
        </fieldset>
      </section>
      <div class="qtb__next-back-button">
              <button mat-stroked-button
                      class="buttons__outlined"
                      matStepperPrevious
                      type="button"
              >
              back
          </button>
          <button mat-raised-button
              class="buttons__contained"
              (click)="addDriversPage()"
              type="submit"
          >
              Next
          </button>
        </div>
  </mat-step>
  <mat-step #stepAddPeople>
      <qtb-add-drivers [savePrevious]="true" [stepper]="stepper" [drivers]="formModel.drivers"></qtb-add-drivers>
  </mat-step>

<mat-step>
    <section class="qtb__non-emma-question">
        <fieldset>
            <qtb-question-heading heading="Who drives the car the most?">
              </qtb-question-heading>
    <qtb-radiobutton [options]="options.drivers">
        <ng-template #inputs let-option>
            <input
                [(ngModel)]="formModel.mainDriver"
                type="radio"
                name="mainDriver"
                value="{{option.value}}"
                (click)="nextStepWithDelay()"
                id="mainDriver-{{ option.value }}" />
        </ng-template>
    </qtb-radiobutton>
    </fieldset>
    <qtb-stepper-nav [showNext]="false"></qtb-stepper-nav>
  </section>
</mat-step>

<mat-step>
  <form #mainPolicyHolderForm="ngForm">
    <section>
        <fieldset>
          <qtb-question-heading heading="Please select one policy holder to be the main point of contact?">
              <p>This is who will be the named on the certificate of insurance as the Primary Policy Holder and who we will send renewal notices to.</p>
          </qtb-question-heading>

          <div class="qtb__emma-question-layout">
            <qtb-emma 
              text="The main driver drives the car the most. A frequent driver drives the car 3 or more days per week.">
            </qtb-emma>
            <qtb-radiobutton [options]="options.drivers" class="qtb__form-element">
                <ng-template #inputs let-option>
                  <input
                      [(ngModel)]="formModel.primaryContact"
                      type="radio"
                      name="primaryContact"
                      value="{{option.value}}"
                      id="primaryContact-{{ option.value }}" />
                </ng-template>
            </qtb-radiobutton>
            <qtb-stepper-nav
              [form]="mainPolicyHolderForm"
              nextRouterLink="/qtb/your-quote"
              nextText="Show me my quote"
            ></qtb-stepper-nav>
            <div class="qtb__spacer"></div>
          </div>
        </fieldset>
  </section>
  </form>
</mat-step>
</mat-vertical-stepper>